use strict;
use warnings;

use AWS::CLIWrapper;
use Data::Dumper;

my $aws = AWS::CLIWrapper->new(
    region => 'ap-northeast-1',
);

my $instance = $aws->ec2('run-instances' => {
    # AMIのID
    'image-id' => $ENV{AWS_AMI_ID},
    # インスタンスのタイプ
    'instance-type' => 't2.micro',
    # インスタンスが属するサブネットのID
    'subnet-id' => $ENV{AWS_SUBNET_ID},
    # インスタンスが属するセキュリティグループのID
    'security-group-ids' => [split /,/, $ENV{AWS_SECURITY_GROUP_IDS}],
});

print Dumper $instance;
